
function slideshow_nextSlide(slideshow){
  // Get the active slides (elements with classes slide and active)
  let current = slideshow.querySelector(".slide.active");
  // If there was one, its now the previous one, so add "previous" to the elements classes
  // I use this to deley fadeout untill the next picture has fully faded in, to prevent all slides from having transparency simultaneousely
  if(current)
    current.classList.add("previous");

  // After the next image has faded in, but before the next slide appears, remove previouse class
  // to make slide opaque. There are probably better ways to make sure the next slide had opacity 0
  // and will thus fade in, like setting the opacity of the active slide to 0 for one frame, but this works for now 
  setTimeout(function(){
    for(let previous of Array.from(slideshow.querySelectorAll(".slide.previous")))
      previous.classList.remove("previous");
  }, 1000);

  // Get the slide after the active slide, if there is one
  let next = slideshow.querySelector(".slide.active ~ .slide");
  if(!next) // If there was none, get the first one
    next = slideshow.querySelector(".slide");

  // Remove active class from all slides
  for(let active of Array.from(slideshow.querySelectorAll(".slide.active")))
    active.classList.remove("active");

  if(!next) return; // If there is no next slide, abort.
  
  // Set next slide active (add the active class)
  next.classList.add("active");
}

function nextSlide(){
  // For every slideshow (elements with class slideshow, that is)
  for(let slideshow of Array.from(document.querySelectorAll(".slideshow")))
    slideshow_nextSlide(slideshow); // Show the next slide
}

nextSlide(); // Display first slide
setInterval(nextSlide, 2000); // Next slide every 2 seconds

